
Application: gvSIG desktop - gvSIG bugs #970
PROBLEMAS CON LA HERRAMIENTA AUTOCOMPLETAR POLÍGONO SI SE USA LA OPCIÓN ARCO 
INTERNO / PROBLEMS WITH TOOL AUTOCOMPLETE POLYGON USING INTERNAL ARC 
08/08/2012 11:07 AM - Abenchara Socorro

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category: Vector editing
Target version: 2.0.0-rc1
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2049 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: autocomplete polygon, autocompletar polígono, arco interno, internal arcProyecto:
Has patch: No Hito:
Add-on name: Unknown
Description
ESP - PROBLEMAS CON LA HERRAMIENTA AUTOCOMPLETAR POLÍGONO SI SE USA LA OPCIÓN ARCO INTERNO
Pasos:
    1. Abrir gvSIG
    2. Crear vista
    3. Añadir Capa
    4. Pinchar con el botón derecho sobre la capa en la ToC y Comenzar edición
    5. Seleccionar la herramienta Autocompletar polígono
    6. Dibujar un semicírculo:
        -  Pinchar con el ratón para insertar el primer punto
        -  Botón derecho y elegir la opción Arco Interno
        -  Pinchar con el ratón para insertar el segundo punto
        -  Botón derecho y elegir la opción Terminar

Aparece un mensaje de error (ver archivos adjuntos), pasa lo mismo si cambiamos el útimo paso por:
Botón derecho y elegir la opción Cerrar polilínea
ENG - PROBLEMS WITH TOOL AUTOCOMPLETE POLYGON USING INTERNAL ARC
Steps:
    1. Open gvSIG
    2. Create view
    3. Add Layer
    4. In ToC select right button menu on layer selected and click Start edition
    5. Select the tool Autocomplete Polygon
    6. Draw a semicircle:
        -  Click with the mouse to insert a point
        -  Click right button and choose option Internal Arc
        -  Click and insert de second point
        -  Click right button of the mouse and Terminate

Appears a message error (see attached files), the same occurs if the last step is:
Click right button of the mouse and Close polyline

History
#1 - 08/31/2012 12:26 PM - Abenchara Socorro
- File autopolygon.zip added
Acabo de comprobar en el build 2051 que el problema persiste. Adjunto la capa que he usado (autopolygon.shp)

I have checked that the problem persists in build 2051. I attach de shapefile I have used (autoploygon.shp)

#2 - 10/08/2012 01:02 PM - Abenchara Socorro
- Target version set to 2.0.0-rc1

#3 - 10/22/2012 06:02 PM - Manuel Madrid
- Priority changed from Normal to High

#4 - 10/30/2012 03:17 PM - Juan Lucas Domínguez
- Status changed from New to Fixed
- Assignee set to Juan Lucas Domínguez

This problem does not happen after previous bugfixes. Needs to be tested again.

#5 - 11/09/2012 10:58 AM - Abenchara Socorro
- Status changed from Fixed to Closed

Files
ArcError_autopolygon.png 156 KB 08/08/2012 Abenchara Socorro
ArcError_autopolygon2.png 129 KB 08/08/2012 Abenchara Socorro
autopolygon.zip 679 Bytes 08/31/2012 Abenchara Socorro

04/30/2024 2/2


